# Class NotificationsClient

#### Hierarchy

- NotificationsClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:924

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorRegisterNotificationListener
methodDescriptorSendNotification
options_

### Methods

registerNotificationListener
sendNotification

## Constructors

### constructor

- new NotificationsClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): NotificationsClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns NotificationsClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:930

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:925

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:927

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:926

### methodDescriptorRegisterNotificationListener

methodDescriptorRegisterNotificationListener: MethodDescriptor<RegisterNotificationListenerRequest, NotificationMessage> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:943

### methodDescriptorSendNotification

methodDescriptorSendNotification: MethodDescriptor<SendNotificationRequest, SendNotificationReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:965

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:928

## Methods

### registerNotificationListener

- registerNotificationListener(request: RegisterNotificationListenerRequest, metadata?: Metadata): ClientReadableStream<NotificationMessage>

- #### Parameters

  - ##### request: RegisterNotificationListenerRequest

  - ##### `Optional` metadata: Metadata

  #### Returns ClientReadableStream<NotificationMessage>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:954

### sendNotification

- sendNotification(request: SendNotificationRequest, metadata?: null | Metadata): Promise<SendNotificationReply>

- #### Parameters

  - ##### request: SendNotificationRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<SendNotificationReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:976
- sendNotification(request: SendNotificationRequest, metadata: null | Metadata, callback: ((err: RpcError, response: SendNotificationReply) => void)): ClientReadableStream<SendNotificationReply>

- #### Parameters

  - ##### request: SendNotificationRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: SendNotificationReply) => void)

    - - (err: RpcError, response: SendNotificationReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: SendNotificationReply

        #### Returns void

  #### Returns ClientReadableStream<SendNotificationReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:980

Generated using TypeDoc